Install Inkscape in Ubuntu 16.04

Posted on

This is an article which is showing steps to install Inkscape in Ubuntu 16.04. Inkscape itself is an SVG (Scalable Vector Graphic) utility for image editing. First of all, to install a new package or utility of Inkscape, just do the following thing :

1. By googling first, the page containing InkScape download page can be found where it displays the following instruction on installing InkScape :

https://inkscape.org/en/download/

2. To reach out for the inkscape’s installer for Ubuntu Linux 16.04 (Xenial Xerus), visit the following URL link :

https://launchpad.net/%7Einkscape.dev/+archive/ubuntu/stable

3. Switch into root account as shown in the command’s execution below :

user@hostname:~$ sudo su -
[sudo] password for user:
root@hostname:~#

4. In the above URL, there are specific instruction on installing Inkscape. Those instructions are :

add-apt-repository ppa:inkscape.dev/stable

Below is the execution of the above command and also the output of the command :

root@hostname:~# add-apt-repository ppa:inkscape.dev/stable
The Inkscape Stable PPA is intended to provide the current supported release of Inkscape.
More info: https://launchpad.net/~inkscape.dev/+archive/ubuntu/stable
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmpbr7y_hwz/secring.gpg' created
gpg: keyring `/tmp/tmpbr7y_hwz/pubring.gpg' created
gpg: requesting key B9A06DE3 from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpbr7y_hwz/trustdb.gpg: trustdb created
gpg: key B9A06DE3: public key "Launchpad PPA for Inkscape Developers" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK
You have new mail in /var/mail/root
root@hostname:~#

The above command is used to add is specified in the link : https://en.wikipedia.org/wiki/Personal_Package_Archive. In the link itself, there is a definition about PPA where Personal Package Archive (PPA). It is a software repository for uploading source packages to be built and published as an APT repository by Launchpad. While the term is used exclusively within Ubuntu, Launchpad host Canonical envisions adoption beyond the Ubuntu community.

4. After adding the suitable repository for installing Inkscape as the command specified above, execute the following command below to update.

sudo apt-get update

The update parameter in the apt-get command is used to download package information from all configured sources. Other commands operate on this data to e.g. perform package upgrades or search in and display details about all packages available for installation. Below is the output of the command’s execution :

root@hostname:~# apt-get update
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable Release
Hit:4 http://archive.ubuntu.com/ubuntu xenial InRelease
Hit:5 http://us.archive.ubuntu.com/ubuntu xenial InRelease
Hit:6 http://archive.canonical.com/ubuntu xenial InRelease
Hit:7 http://ppa.launchpad.net/gns3/ppa/ubuntu xenial InRelease
Ign:8 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist InRelease
Get:9 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Get:10 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu xenial InRelease [17,5 kB]
Hit:11 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist Release
Get:13 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease [23,9 kB]
Get:14 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [443 kB]
Get:15 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu xenial/main amd64 Packages [1.008 B]
Get:16 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu xenial/main i386 Packages [1.004 B]
Get:17 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu xenial/main Translation-en [692 B]
Get:18 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 Packages [42,5 kB]
Get:19 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main i386 Packages [42,5 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [436 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [303 kB]
Get:22 http://us.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [188 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [121 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [145 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [2.516 B]
Fetched 1.870 kB in 23s (79,8 kB/s)
AppStream cache update completed, but some metadata was ignored due to errors.
Reading package lists... Done
W: http://downloads-distro.mongodb.org/repo/debian-sysvinit/dists/dist/Release.gpg: Signature by key 492EAFE8CD016A07919F1D2B9ECBEC467F0CEB10 uses weak digest algorithm (SHA1)
root@hostname:~#

5. After updating package, search whether inkscape available or not for further installation :

apt-cache search inkscape 

The command’s execution can be shown in the following output :

root@hostname:~# apt-cache search inkscape
python-scour - SVG scrubber and optimizer (Python 2 module)                                                                                                                                                                       
create-resources - shared resources for use by creative applications                                                                                                                                                              
fonts-opendin - Open DIN font                                                                                                                                                                                                     
fonts-rufscript - handwriting-based font for Latin characters                                                                                                                                                                     
ink-generator - Inkscape extension to automatically generate files from a template                                                                                                                                                
lyx - document processor                                                                                                                                                                                                          
python3-scour - SVG scrubber and optimizer (Python 3 module)                                                                                                                                                                      
robocut - Control program for Graphtec cutting plotters                                                                                                                                                                           
sozi - inkscape extension for creating animated presentations                                                                                                                                                                     
svgtune - tool to generate a set of .svg files out of a single .svg file                                                                                                                                                          
texlive-lang-english - TeX Live: US and UK English                                                                                                                                                                                
texlive-latex-extra - TeX Live: LaTeX additional packages
xia - Convert svg to html5 interactive pictures
inkscape - vector-based drawing program
root@hostname:~#

As shown in the above output’s command, there is inkscape listed as utility which can be installed in the last line :

inkscape - vector-based drawing program

6. So, since inkscape available for further installation, executing the following command to begin installing inkscape :

apt-get install inkscape

The above command’s execution is shown below :

root@hostname:~# apt-get install inkscape
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libgsl2 libmagick++-6.q16-5v5 libwmf-bin python-numpy python-uniconvertor
Suggested packages:
  dia | dia-gnome libsvg-perl libxml-xql-perl transfig pstoedit gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html gfortran python-nose python-numpy-dbg python-numpy-doc python-uniconvertor-dbg
The following NEW packages will be installed:
  inkscape libgsl2 libmagick++-6.q16-5v5 libwmf-bin python-numpy python-uniconvertor
0 upgraded, 6 newly installed, 0 to remove and 570 not upgraded.
1 not fully installed or removed.
Need to get 18,0 MB of archives.
After this operation, 113 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libgsl2 amd64 2.1+dfsg-2 [840 kB]
Get:2 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu xenial/main amd64 inkscape amd64 0.91.0+52~ubuntu16.04.1 [15,0 MB]
Get:3 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libmagick++-6.q16-5v5 amd64 8:6.8.9.9-7ubuntu5.3 [136 kB]                                                                                                    
Get:4 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libwmf-bin amd64 0.2.8.4-10.5ubuntu1 [17,1 kB]                                                                                                                       
Get:5 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 python-numpy amd64 1:1.11.0-1ubuntu1 [1.763 kB]                                                                                                                      
Get:6 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 python-uniconvertor amd64 1.1.5-2 [226 kB]                                                                                                                       
Fetched 18,0 MB in 3min 3s (98,5 kB/s)                                                                                                                                                                                           
Selecting previously unselected package libgsl2:amd64.
(Reading database ... 834643 files and directories currently installed.)
Preparing to unpack .../libgsl2_2.1+dfsg-2_amd64.deb ...
Unpacking libgsl2:amd64 (2.1+dfsg-2) ...
Selecting previously unselected package libmagick++-6.q16-5v5:amd64.
Preparing to unpack .../libmagick++-6.q16-5v5_8%3a6.8.9.9-7ubuntu5.3_amd64.deb ...
Unpacking libmagick++-6.q16-5v5:amd64 (8:6.8.9.9-7ubuntu5.3) ...
Selecting previously unselected package inkscape.
Preparing to unpack .../inkscape_0.91.0+52~ubuntu16.04.1_amd64.deb ...
Unpacking inkscape (0.91.0+52~ubuntu16.04.1) ...
Selecting previously unselected package libwmf-bin.
Preparing to unpack .../libwmf-bin_0.2.8.4-10.5ubuntu1_amd64.deb ...
Unpacking libwmf-bin (0.2.8.4-10.5ubuntu1) ...
Selecting previously unselected package python-numpy.
Preparing to unpack .../python-numpy_1%3a1.11.0-1ubuntu1_amd64.deb ...
Unpacking python-numpy (1:1.11.0-1ubuntu1) ...
Selecting previously unselected package python-uniconvertor.
Preparing to unpack .../python-uniconvertor_1.1.5-2_amd64.deb ...
Unpacking python-uniconvertor (1.1.5-2) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up redmine (3.2.1-2) ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
dbconfig-common: writing config to /etc/dbconfig-common/redmine/instances/default.conf
granting access to database redmine_default for redmine/instance@localhost: already exists.
creating database redmine_default: already exists.
dbconfig-common: flushing administrative password
rake aborted!
ActiveRecord::AdapterNotSpecified: 'development' database is not configured. Available: ["production"]
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/connection_adapters/connection_specification.rb:248:in `resolve_symbol_connection'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/connection_adapters/connection_specification.rb:211:in `resolve_connection'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/connection_adapters/connection_specification.rb:139:in `resolve'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/connection_adapters/connection_specification.rb:169:in `spec'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/connection_handling.rb:50:in `establish_connection'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/railtie.rb:120:in `block (2 levels) in '
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/lazy_load_hooks.rb:38:in `instance_eval'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/lazy_load_hooks.rb:38:in `execute_hook'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/lazy_load_hooks.rb:45:in `block in run_load_hooks'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/lazy_load_hooks.rb:44:in `each'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/lazy_load_hooks.rb:44:in `run_load_hooks'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/base.rb:315:in `'
/var/lib/gems/2.3.0/gems/activerecord-4.2.6/lib/active_record/base.rb:26:in `'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `block in require'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `load_dependency'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/share/redmine/lib/plugins/acts_as_activity_provider/init.rb:2:in `block in '
/usr/share/redmine/config/initializers/00-core_plugins.rb:12:in `eval'
/usr/share/redmine/config/initializers/00-core_plugins.rb:12:in `block in '
/usr/share/redmine/config/initializers/00-core_plugins.rb:2:in `each'
/usr/share/redmine/config/initializers/00-core_plugins.rb:2:in `'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `load'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `block in load'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `load_dependency'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `load'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/engine.rb:652:in `block in load_config_initializer'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/notifications.rb:166:in `instrument'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/engine.rb:651:in `load_config_initializer'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/engine.rb:616:in `block (2 levels) in '
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/engine.rb:615:in `each'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/engine.rb:615:in `block in '
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/initializable.rb:30:in `instance_exec'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/initializable.rb:30:in `run'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/initializable.rb:55:in `block in run_initializers'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/initializable.rb:44:in `each'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/initializable.rb:44:in `tsort_each_child'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/initializable.rb:54:in `run_initializers'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/application.rb:352:in `initialize!'
/usr/share/redmine/config/environment.rb:14:in `'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `block in require'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `load_dependency'
/var/lib/gems/2.3.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/application.rb:328:in `require_environment!'
/var/lib/gems/2.3.0/gems/railties-4.2.6/lib/rails/application.rb:457:in `block in run_tasks_blocks'
/var/lib/gems/2.3.0/gems/rake-11.2.2/exe/rake:27:in `'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/cli/exec.rb:63:in `load'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/cli/exec.rb:63:in `kernel_load'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/cli/exec.rb:24:in `run'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/cli.rb:304:in `exec'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/vendor/thor/lib/thor/command.rb:27:in `run'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in `invoke_command'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/vendor/thor/lib/thor.rb:359:in `dispatch'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/vendor/thor/lib/thor/base.rb:440:in `start'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/cli.rb:11:in `start'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/exe/bundle:27:in `block in '
/var/lib/gems/2.3.0/gems/bundler-1.12.5/lib/bundler/friendly_errors.rb:98:in `with_friendly_errors'
/var/lib/gems/2.3.0/gems/bundler-1.12.5/exe/bundle:19:in `'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `'
Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)
dpkg: error processing package redmine (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up libgsl2:amd64 (2.1+dfsg-2) ...
Setting up libmagick++-6.q16-5v5:amd64 (8:6.8.9.9-7ubuntu5.3) ...
Setting up inkscape (0.91.0+52~ubuntu16.04.1) ...
Setting up libwmf-bin (0.2.8.4-10.5ubuntu1) ...
Setting up python-numpy (1:1.11.0-1ubuntu1) ...
Setting up python-uniconvertor (1.1.5-2) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Errors were encountered while processing:
 redmine
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@hostname:~# 

7. After successfully installed inkscape, execute it via command line or via GUI executable program’s textfield. The execution is shown below :

The execution from terminal’s bash prompt :

Install Inkscape in Ubuntu 16.04
Install Inkscape in Ubuntu 16.04

The execution from GUI’s environment :

Install Inkscape in Ubuntu 16.04
Install Inkscape in Ubuntu 16.04

The preview of Inkscape’s default screen :

Install Inkscape in Ubuntu 16.04
Install Inkscape in Ubuntu 16.04

2 thoughts on “Install Inkscape in Ubuntu 16.04

Leave a Reply